Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.mina.common
Class IoFilter.WriteRequest

    java.lang.Object
      org.apache.mina.common.IoFilter.WriteRequest

Enclosing interface:
  IoFilter

    public static class IoFilter.WriteRequest

extends Object

Represents write request fired by `IoSession.write(Object)`.

Constructor Summary
`IoFilter.WriteRequest(Object message)` Creates a new instance without `WriteFuture`.
`IoFilter.WriteRequest(Object message, WriteFuture future)` Creates a new instance with `WriteFuture`.
`IoFilter.WriteRequest(Object message, WriteFuture future, SocketAddress destination)` Creates a new instance.

Method Summary
`SocketAddress` | `getDestination()` Returne the destination of this write request.
`WriteFuture` | `getFuture()` Returns `WriteFuture` that is associated with this write request.
`Object` | `getMessage()` Returns a message object to be written.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IoFilter.WriteRequest

    public IoFilter.WriteRequest(Object message)

  Creates a new instance without `WriteFuture`. You'll get an instance of `WriteFuture` even if you called this constructor because `getFuture()` will return a bogus future.

### IoFilter.WriteRequest

    public IoFilter.WriteRequest(Object message,
                                 WriteFuture future)

  Creates a new instance with `WriteFuture`.

### IoFilter.WriteRequest

    public IoFilter.WriteRequest(Object message,
                                 WriteFuture future,
                                 SocketAddress destination)

  Creates a new instance.

  Parameters:
    `message` - a message to write
    `future` - a future that needs to be notified when an operation is finished
    `destination` - the destination of the message. This property will be ignored unless the transport supports it.

Method Detail

### getFuture

    public WriteFuture getFuture()

  Returns `WriteFuture` that is associated with this write request.

### getMessage

    public Object getMessage()

  Returns a message object to be written.

### getDestination

    public SocketAddress getDestination()

  Returne the destination of this write request.

  Returns:
    `null` for the default destination

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 Apache MINA Project. All Rights Reserved.